import { r as registerInstance, h, H as Host } from './index-419dc51e.js';
import { c as coreState } from './core-5f5bd4e7.js';
import './_commonjsHelpers-66ac50f5.js';
import './index-f12e34f3.js';

const DataProvider = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
  }
  async componentWillLoad() {
    coreState.endpoint = this.url;
  }
  render() {
    return h(Host, null);
  }
};

export { DataProvider as corejam_data_provider };
